/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sam Nov 29 16:47:18 CET 2003
    copyright            : (C) 2003 by Nicola D�elin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef USE_KDE
  #include <kapplication.h>
  #include <kaboutdata.h>
  #include <kcmdlineargs.h>
#else
  #include <QApplication>
#endif

#include <QFont>
#include <QString>
#include <QTextCodec>
#include <QTranslator>

#include "texwiz.h"

// #ifdef USE_KDE
// static KCmdLineOptions options[] =
//  {
//     { "k", I18N_NOOP("use Kile integration"), 0 },
//     { "+[file]", I18N_NOOP("LaTeX file to be written"), 0 },
//     KCmdLineLastOption // End of options.
//  };
// #endif

int main(int argc, char *argv[])
{
// #ifdef USE_KDE
//   KAboutData aboutData("TeXwiz", I18N_NOOP("TeXwiz"), "1.0");
//   aboutData.addAuthor("Nic Doebelin");
//   KCmdLineArgs::init(argc, argv, &aboutData);
//   KCmdLineArgs::addCmdLineOptions(options);
//   KApplication::addCmdLineOptions();
//   KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
//
//   KApplication a;
//
// #else
  QApplication a(argc, argv);
  a.setOrganizationName("Nic Doebelin");
  a.setOrganizationDomain("www.doebelin.org");
  a.setApplicationName("TeXwiz");
// #endif

//  QTranslator tor;
//  tor.load( texwiz_de_qm_data, texwiz_de_qm_len );
//  a.installTranslator( &tor );

  TexwizApp *texwiz = new TexwizApp();
//   a.setMainWidget(texwiz);

// #ifdef USE_KDE
//   if (args->isSet("k")) {
//     texwiz->setKile(true);
//     qDebug("Kile integration enabled");
//   }
//   else {
//     texwiz->setKile(false);
//     qDebug("Kile integration disabled");
//   }
//   if (args->count()) {
//     texwiz->setOutputFile(QString(args->arg(0)));
//     qDebug("output file set to " + QString(args->arg(0)));
//   }
// #else
//
//   texwiz->setKile(false);
//   if (a.argv()[1] == "-k") qDebug("Kile integration is not available. TeXwiz was compiled without KDE support.");
//   else if (a.argv()[1]) texwiz->setOutputFile(QString(a.argv()[1]));
//   if (a.argv()[2])      texwiz->setOutputFile(QString(a.argv()[2]));
// #endif

  texwiz->show();

  return a.exec();
}


