/***************************************************************************
                          marginprev.h  -  description
                             -------------------
    begin                : Mon Feb 23 2004
    copyright            : (C) 2004 by Nicola D�elin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MARGINPREV_H
#define MARGINPREV_H

#include <QFrame>

class QColor;
class QEvent;
class QRect;
class QWidget;

/**
  *@author Nicola Doebelin
  */

class MarginPrev : public QFrame  {
   Q_OBJECT
public: 
  MarginPrev(QWidget *parent=0, Qt::WindowFlags f=0);
  ~MarginPrev();

  void setMargin(const float &, const float &, const float &, const float &);
  void setTwoside(bool);
  void clear();

private:
  QRect paper, writeArea, bcorRect;
  QColor color;
  float di, bc,
        wi, he,
        space, pages,
        divisor;
  int pmargin;
  bool twoside;

  void paintEvent(QPaintEvent *);
  void resizeEvent(QResizeEvent *);

};

#endif
