/***************************************************************************
                          previewdialog.h  -  description
                             -------------------
    begin                : Sam Nov 29 2003
    copyright            : (C) 2003 by Nicola D�elin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREVIEWDIALOG_H
#define PREVIEWDIALOG_H

#include "ui_previewdlg.h"

/**
  *@author Nicola Doebelin
  */

class PreviewDialog : public QDialog, private Ui::PreviewDlg
{

   Q_OBJECT

public: 
	PreviewDialog(QWidget *parent=0);
	~PreviewDialog();

	void setText(const QString &);
	void setFont(const QFont &);
	const QFont & getFont();

private slots:
	void fontChanged(const QFont &);
	void fontSizeChanged(int);


};

#endif
