/***************************************************************************
                          settingsdialog.h  -  description
                             -------------------
    begin                : Son Dez 7 2003
    copyright            : (C) 2003 by Nicola Doebelin
    email                : adoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <ui_settingsdlg.h>

class QString;

/**
  *@author Nicola Doebelin
  */

class SettingsDialog : public QDialog, private Ui::SettingsDlg
{

   Q_OBJECT

public:

	SettingsDialog(QWidget *parent=0);
	~SettingsDialog();

	void setWd(QString);
	QString getWd();

	void setTd(QString);
	QString getTd();

	void setLtd(QString);
	QString getLtd();

	void setRestoreSize(bool);
	bool getRestoreSize();

	void setRestorePos(bool);
	bool getRestorePos();

private:

private slots:
	void wdChanged();
	void tdChanged();
	void ltdChanged();
	void allSaved();

signals:
	void saveAll();
};

#endif
