/***************************************************************************
                          templatedialog.h  -  description
                             -------------------
    begin                : Sam Nov 29 16:47:18 CET 2003
    copyright            : (C) 2003 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TEMPLATEDIALOG_H
#define TEMPLATEDIALOG_H

#include <ui_templatedlg.h>
#include <QVector>

class QListWidget;
class Template;

class TemplateDialog : public QDialog, private Ui::TemplateDlg
{

  Q_OBJECT

  public:

    TemplateDialog(QWidget *parent=0);
    ~TemplateDialog();

    void setTemplates(QVector<Template> *);
    QVector<Template> * getTemplates();

  private slots:
    void rename();
    void rename(QListWidgetItem *);
    void remove();
    void currentItemChanged(QListWidgetItem *);

  private:
    QVector<Template> *templateList;
};

#endif
