/***************************************************************************
                          translate.h  -  description
                             -------------------
    begin                : Sam Jan 06 22:00:18 CET 2007
    copyright            : (C) 2007 by Nicola Doebelin
    email                : ndoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRANSLATE_H
#define TRANSLATE_H

// include files for QT
#include <QChar>
#include <QString>

class Translate
{
	public:
		static QString monthName(int i, const QString &lang)
		{
			QString month = "";

			switch (i) {
				case 1: month = "january"; break;
				case 2: month = "february"; break;
				case 3: month = "march"; break;
				case 4: month = "april"; break;
				case 5: month = "may"; break;
				case 6: month = "june"; break;
				case 7: month = "july"; break;
				case 8: month = "august"; break;
				case 9: month = "september"; break;
				case 10: month = "october"; break;
				case 11: month = "november"; break;
				case 12: month = "december"; break;
			}

			if (lang == "D") {
				switch (i) {
					case 1: month = "Januar"; break;
					case 2: month = "Februar"; break;
					case 3: month = "Marz";
						month[1] = QChar(0x00e4);
						break;
					case 4: month = "April"; break;
					case 5: month = "Mai"; break;
					case 6: month = "Juni"; break;
					case 7: month = "Juli"; break;
					case 8: month = "August"; break;
					case 9: month = "September"; break;
					case 10: month = "Oktober"; break;
					case 11: month = "November"; break;
					case 12: month = "Dezember"; break;
				}
			}
			if (lang == "F") {
				switch (i) {
					case 1: month = "janvier"; break;
					case 2: month = "fevrier";
						month[1] = QChar(0x00e9);
						break;
					case 3: month = "mars"; break;
					case 4: month = "avril"; break;
					case 5: month = "mai"; break;
					case 6: month = "juin"; break;
					case 7: month = "juillet"; break;
					case 8: month = "aout";
						month[2] = QChar(0x00fb);
						break;
					case 9: month = "septembre"; break;
					case 10: month = "octobre"; break;
					case 11: month = "novembre"; break;
					case 12: month = "decembre";
						month[1] = QChar(0x00e9);
						break;
				}
			}

			if (lang == "E") {
				switch (i) {
					case 1: month = "enero"; break;
					case 2: month = "febrero"; break;
					case 3: month = "marzo"; break;
					case 4: month = "abril"; break;
					case 5: month = "mayo"; break;
					case 6: month = "junio"; break;
					case 7: month = "julio"; break;
					case 8: month = "agosto"; break;
					case 9: month = "septiembre"; break;
					case 10: month = "octubre"; break;
					case 11: month = "noviembre"; break;
					case 12: month = "diciembre"; break;
				}
			}

			return month;
		}
};

#endif
