/***************************************************************************
                          markupdialog.h  -  description
                             -------------------
    begin                : Mon Dez 29 2003
    copyright            : (C) 2003 by Nicola D�elin
    email                : adoebelin@gmx.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MARKUPDIALOG_H
#define MARKUPDIALOG_H

#include "ui_markupdlg.h"
#include <QDialog>

class QString;
class QListWidget;

/**
  *@author Nicola Doebelin
  */

class MarkupDialog : public QDialog, private Ui::MarkupDlg  
{
  Q_OBJECT

public: 
  MarkupDialog(QWidget *parent=0);
  ~MarkupDialog();

  void setList(const QStringList &);
  QStringList getList();

private:

private slots:
  void addItem();
  void removeItem();
  void modifyItem(QListWidgetItem*);
  void defaultEntries();
  void whatsThis();

};

#endif


